<h1 id="h_01HGKKWXSZAW118P96RVNM9M3G">概要</h1>
<p>CircleCI は バージョンコントロールシステム（VCS）の管理をユーザーが行えるようにアップデートしました。以前まではユーザーがCircleCIとのVCS接続を削除することができず、<a href="https://circleci.com/error-vcs-identity-taken.html">次の「Error adding identity」メッセージ</a>が表示された際にCircleCIサポートチームに連絡する必要がありました。</p>
<p class="wysiwyg-indent2"> </p>
<p class="wysiwyg-indent2"><em><strong>"</strong></em><em><strong>あなたのVCSサービスによって提供されたIDは、別のアカウントに既に関連付けられています"</strong></em></p>
<p class="wysiwyg-indent2"> </p>
<p class="wysiwyg-text-align-center"><img src="https://support.circleci.com/hc/article_attachments/20868375919259" width="642" height="211"></p>
<p> </p>
<p>これは、誤って間違った組織に参加したり、間違ったGitHubユーザーと接続したり、一般的な権限問題を解決したりするなどの問題でよく発生しました。利用者はサポートチームに連絡して支援を求める必要がありました。</p>
<h2 id="h_01HGM07AP56SG1GXDNCVH6JP05">前提条件</h2>
<ul>
    <li>
        <a href="https://circleci.com/docs/ja/github-integration/">GitHub OAuth</a>または<a href="https://circleci.com/docs/ja/bitbucket-integration/">BitBucketインテグレーション</a>と統合されたユーザーアカウント
        <ul>
            <li>現時点では、GitHub AppやGitLabなどのスタンドアロンVCSインテグレーションはサポートされていないことに注意してください</li>
        </ul>
    </li>
</ul>
<h2 id="h_01HGKKWXSZD6N1MPFATKPGJSBS">ユーザーIDのリンク解除</h2>
<p>今後は、利用者がこれらの接続を自分で管理できるようになりました。この権限管理は、ユーザーのアカウント統合ページの下に便利に配置されています。</p>
<p> </p>
<p class="wysiwyg-text-align-center"><img src="https://support.circleci.com/hc/article_attachments/20868334292763" alt="Screenshot 2023-12-01 at 10.39.04 AM.png" width="571" height="311"></p>
<p>以下の手順に従ってVCS接続を切断してください：</p>
<ol>
    <li>
        <a href="https://app.circleci.com/settings/user">ユーザー設定ページ</a>にアクセスし、誤って/以前にリンクされたユーザーとしてサインインします。
    </li>
    <li>リンクを解除したいGitHubまたはBitBucketのVCSセクションの下にある赤い<strong>DISCONNECT</strong>ボタンをクリックします。</li>
    <li>選択を確認し、提供されたフィールドに<strong>DISCONNECT</strong>と入力して、このアクションを明示的に確認します。</li>
</ol>
<p>切断アクションを確認すると、接続したいアカウントでログインするためにCircleCIのログインページに自動的にリダイレクトされます。そこでご希望のアカウントでログインが行えます。</p>
<h2 id="h_01HGKKWXSZR53PCHYJB42QX9RC">VCSへの再接続</h2>
<p>VCSをCircleCIに再接続したい場合、ユーザーは簡単に行うことができます。もしユーザーが<strong>2023年9月以前</strong>にGithubまたはBitbucketでサインアップしていた場合、Githubでログインするだけで再接続できます。</p>
<p class="wysiwyg-text-align-center"><img src="https://support.circleci.com/hc/article_attachments/20868381080475" alt="Screenshot 2023-12-01 at 10.39.25 AM.png" width="603" height="275"></p>
<h2 id="h_01HGKKWXSZHWQN7TX4NQQNGJAK">追加の注意事項</h2>
<ul>
    <li>上記のVCS管理機能は、現在<strong>クラシック（<a href="https://circleci.com/docs/ja/github-integration/">GitHub OAuth</a>および<a href="https://circleci.com/docs/ja/bitbucket-integration/">BitBucket</a>）組織でのみ利用可能です。</strong>
        <ul>
            <li>ただし、<a href="https://circleci.com/docs/ja/github-apps-integration/">GitHub App</a>や<a href="https://circleci.com/docs/ja/gitlab-integration/">GitLab</a>インテグレーションで接続されたスタンドアロン組織などに対しても、同様の接続および切断オプションを実装する予定であることをお知らせします。</li>
        </ul>
    </li>
    <li>
        <a href="https://app.circleci.com/settings/user/tokens">ユーザー設定ページ</a>でユーザーIDを削除した後、個人のAPIトークンを再作成する必要があるかもしれません。
    </li>
</ul>
<h2 id="h_01HGKMEYB1T8HAQ5SJGH3RTHYT">追加リソース</h2>
<ul>
    <li><a href="https://support.circleci.com/hc/en-us/articles/20798023263899" target="_blank" rel="noopener noreferrer">BitBucketおよびGitHubのOAuthインテグレーションを使用して設定されたアカウントでCircleCIにサインインする方法</a></li>
    <li><a href="https://support.circleci.com/hc/en-us/articles/19019502351899" target="_blank" rel="noopener noreferrer">GitHub組織の「People Settings」を管理するにはどうすればいいですか？</a></li>
    <li><a href="https://support.circleci.com/hc/en-us/articles/20302893166363" target="_blank" rel="noopener noreferrer">プロジェクトはGitHub OAuthまたはGitHub Appsを使用して設定されていますか？</a></li>
</ul>